﻿@{
    var eMailSent = false;
    if (!this.IsPost)
    {
        eMailSent = true;
        var eMailSubject = Request["subject"];
        if (eMailSubject == null)
        {
            eMailSubject = "Asunto Vacio";
        }
        var eMailMessage = Request["message"];
        if (eMailMessage == null)
        {
            eMailMessage = "Mensaje Vacio";
        }
        WebMail.SmtpServer = "mail.minfra.gba.gov.ar";
        WebMail.SmtpPort = 25;
        WebMail.EnableSsl = false;
        WebMail.UserName = "svicente";
        WebMail.From = "svicente@mosp.gba.gov.ar";
        WebMail.Password = "ciganoseu7";
        WebMail.Send(to: "svicente@mosp.gba.gov.ar", subject: eMailSubject, body: eMailMessage);
    }
}
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title>Servicio WebMail</title>
</head>
<body>
<form method="POST">

    <p>asunto</p>

    <input type="text" name="subject" value="Motivo del mensaje"/><br />

    <p>Mensaje</p>

    <textarea rows="6" cols="40" name="message">Escriba su mensaje aquí</textarea><br />

    <input type="submit" value="Enviar" />

    </form>

    @{if (eMailSent)

    {

    <p>Mensaje enviado</p>

    }

    }

    

    
</body>
</html>
